OgreBot - Bug #1755

Items refresh not picking up Acrane Font charm
2017-01-01 03:42 PM - freedo

Status: Resolved
Priority: Normal
Assignee: Kannkor
Category: Broken Feature(s)

Target version:

vbulletin_issue_id:

Description
per description. Running the refresh button in the ogrebot tab for items does not identify the Acrane Font charm.

Charm link:

\alTEM -104068108 457064056:Arcane FontVa

Drops from The Mist Reaver in Lost City of Torsis: The Shrouded Temple EH

do not know if it will need to be put in that ability pairs file been awhile since ive needed to go look at charm effects and if they are
kicked off.

History

#1 - 2017-01-02 05:21 AM - Kannkor

- Status changed from New to Accepted

If you would like me to look at this ASAP, PM me on IRC and provide me a character that has the item. Otherwise I'll work on trying to acquire one.

#2 - 2017-01-11 11:49 AM - Kannkor
- Status changed from Accepted to Feedback Required

| can't reproduce this, with any item anyone seems to get that they say is broken. | get one, hit refresh, and it's in my list every time.

In order to fix this I'm going to need someone who can reproduce it and let me teamviewer in to see.

PM me on IRC if you have this happen and have time for me to teamviewer in.

#3 - 2017-01-11 12:00 PM - Kannkor
Going to patch this out:

* OgreBotAPI

** Added: ltemDebug[ltemName]

*** Created for this: hitps:/forge.isxgames.com/issues/1755

*** Usage: OgreBotAPI:ltemDebug["Arcane Font"]

*** Qutput: (14:57:12)[OgreBot]: ltemScanResults -> Value 1: TRUE. Value 2: TRUE. Value 3: TRUE

*** People who are having issues with items not scanning can run this command and provide me those values and we can see if we can figure out
why it's happening.

*** For this command, the item must be in your inventory and not equipped.
#4 - 2017-01-16 07:43 PM - LittleOgress

Different charm, same issue:
OgreBotAPI:ItemDebug["Spectral Beguiler's Ghostly Coin"]

IltemScanResults -> Equipment: Value 1: FALSE. Value 2: TRUE. Value 3: TRUE

#5 - 2017-01-19 10:17 PM - Kannkor
In OgreBot 17.134 (or 17.133f on dev build) changes how it gets item data.

Try item scanning out again in this version out and let me know if it works.

#6 - 2018-04-06 03:00 PM - Kannkor

- Status changed from Feedback Required to Resolved
